phing-tasks-ext-phpunit

# Class: PHPUnitUtil Source Location: /tasks/ext/phpunit/PHPUnitUtil.php
### Class Overview
Various utility functions #### Author(s): Michiel Rook <michiel.rook@gmail.com> #### Version: $Id: PHPUnitUtil.php 552 2009-08-29 12:18:13Z mrook $ | ### Variables $definedClasses | ### Methods getClassFromFileName getDefinedClasses getPackageName
### Class Details [line 30] Various utility functions #### Tags:
author: | Michiel Rook <michiel.rook@gmail.com>
version: | $Id: PHPUnitUtil.php 552 2009-08-29 12:18:13Z mrook $
since: | 2.1.0
[ Top ] ### Class Variables #### static $definedClasses = array() [line 32] #### Tags:
access: | protected
Type: | mixed
[ Top ] ### Class Methods ### static method getClassFromFileName [line 62]
`static string getClassFromFileName( string $filename)`
Derives the classname from a filename. Assumes that there is only one class defined in that particular file, and that the naming follows the dot-path (Java) notation scheme. #### Tags:
return: | the name fo the class
#### Parameters:
string | $filename | the filename
[ Top ] ### static method getDefinedClasses [line 81]
`static array getDefinedClasses( string $filename, [Path $classpath = NULL])`
#### Tags:
return: | list of classes defined in the file
#### Parameters:
string | $filename | the filename
Path | $classpath | optional classpath
[ Top ] ### static method getPackageName [line 40]
`static string getPackageName( string $classname)`
Returns the package of a class as defined in the docblock of the class using @package #### Tags:
return: | the name of the package
#### Parameters:
string | $classname | the name of the class
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:44 +0200 by phpDocumentor 1.4.3